/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.external-calendar-holder {
  background: #fff;
}
.react-calendar-timeline {
  margin-top: 10px;

  .rct-header-root {
    &.calendar-view-header {
      background-color: white;
      pointer-events: none;
      position: sticky;
      z-index: 100;
    }
  }
  .rct-sidebar {
    .external-calendar {
      &.first-external-calendar::before,
      &.last-external-calendar::after {
        content: '';
        display: inline-block;
        width: 100%;
        position: absolute;
        left: 0;
      }

      &.first-external-calendar::before {
        border-top: 1px solid @platfrom-blue1;
      }

      &.last-external-calendar::after {
        border-bottom: 1px solid @platfrom-blue1;
        bottom: 0;
      }
      .remove-calendar-button {
        width: 16px;
        height: 16px;
        padding: 0;
        margin: 15px;
        vertical-align: middle;
        position: relative;
        border-color: transparent;
        border-radius: 0;
        color: black;
        float: right;
        &:focus,
        &:hover {
          color: white;
        }
        &:focus {
          background-color: @platfrom-blue1;
        }
        svg {
          height: 10px;
          width: 10px;
          position: absolute;
          left: 2px;
          top: 2px;
        }
      }
    }

    .external-calendar,
    .regular-group {
      position: relative;
      padding-left: 12px;
      margin-left: -3px;
      margin-right: -3px;
      &.wichtig {
        background-color: #faf2ff !important;
        border-left: 3px solid #520b82;
      }
    }

    .regular-group::after,
    .external-calendar::after,
    .calendar-arrow::after {
      content: '';
      display: inline-block;
      width: 100%;
      position: absolute;
      left: 0;
      border-bottom: 1px solid #bbb;
      bottom: 0;
    }
    div {
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
    }
  }
  .rct-sidebar-row {
    border-bottom: none !important;
  }
  .rct-sidebar .rct-sidebar-row.rct-sidebar-row-odd,
  .rct-horizontal-lines .rct-hl-odd {
    background-color: transparent;
  }
  .rct-horizontal-lines .wichtig-row {
    background: rgba(250, 230, 255, 0.55);
  }
  .rct-horizontal-lines {
    position: relative;
    z-index: 2;
  }
  .rct-vertical-lines {
    position: relative;
    z-index: 1;
  }
  font-size: 1.4rem;
  .rct-calendar-header {
    border: none;
  }
  .primaryHeader {
    margin-bottom: 1px;
    .rct-dateHeader {
      justify-content: left;
      height: 18px;
      padding-left: 10px;
      background-color: white;
      font-weight: 500;
      border: none;
      border-left: 1px solid @platform-blue2;
    }
    // responsive styles: month
    &.month {
      &.scale-3 {
        .rct-dateHeader {
          @media screen and (max-width: 740px) {
            background-color: white;
            color: @attribute-grey-color;
            font-size: 1.2rem;
          }
        }
      }
      &.scale-6 {
        @media screen and (max-width: 930px) {
          display: none;
        }
        display: block;
      }
      &.scale-12 {
        display: none;
      }
    }
    &.monthSmall {
      &.scale-3 {
        display: none;
      }
      &.scale-6 {
        @media screen and (max-width: 930px) {
          display: block;
        }
        display: none;
      }
      &.scale-12 {
        .rct-dateHeader {
          @media screen and (max-width: 1100px) {
            color: @attribute-grey-color;
            font-size: 1rem;
          }
        }
      }
    }
    // year
    &.year {
      &.scale-3 {
        display: none;
      }
      &.scale-6 {
        @media screen and (max-width: 930px) {
          display: block;
        }
        display: none;
      }
    }
  }
  .secondaryHeader {
    .rct-dateHeader {
      height: 31px;
      color: @attribute-grey-color;
      font-size: 1.2rem;
      background-color: white;
      border: none;
      border-left: 1px solid @platform-blue3;
    }
    // responsive styles: week
    &.weekSmall {
      &.scale-3 {
        @media screen and (min-width: 800px) and (max-width: 1200px) {
          display: block;
        }
        display: none;
      }
      &.scale-6 {
        @media screen and(min-width: 1100px) and (max-width: 1650px) {
          display: block;
        }
        display: none;
      }
      &.scale-12 {
        @media screen and(min-width:1500px) {
          display: block;
        }
        display: none;
      }
    }
    &.weekBig {
      &.scale-3 {
        @media screen and (max-width: 1200px) {
          display: none;
        }
        display: block;
      }
      &.scale-6 {
        @media screen and (max-width: 1650px) {
          display: none;
        }
        display: block;
      }
      &.scale-12 {
        display: none;
      }
    }
  }
  .rct-vertical-lines .rct-vl.rct-day-6,
  .rct-vertical-lines .rct-vl.rct-day-0 {
    background-color: @calendar-grey-color;
    border-bottom: 1px solid @platform-blue3;
    border-top: 1px solid @platform-blue3;
  }
  .rct-vertical-lines .rct-vl.rct-day-0 {
    border-left: 1px solid white;
    border-right: 1px solid @platform-blue3;
  }
  .rct-vertical-lines .rct-vl {
    border-left: 1px solid @calendar-grey-color;
  }
  div.rct-hl-even,
  div.rct-hl-odd {
    border-bottom: 1px solid @platform-blue3;
    border-top: 1px solid @platform-blue3;
    background-color: white;
    &.external-group-row {
      &.first-external-group-row {
        border-top: 1px solid @platfrom-blue1;
      }
      &.last-external-group-row {
        border-bottom: 1px solid @platfrom-blue1;
      }
    }
  }

  .rct-items .rct-item {
    &.external-calendar-item {
      color: #9e1068 !important;
      border: 1px solid #9e1068 !important;
      border-top: 4px solid #9e1068 !important;
      &:hover,
      &:focus,
      &.selected {
        background-color: #9e1068 !important;
      }
    }
    background-color: white !important;
    color: @platform-blue7 !important;
    border: 1px solid @platform-blue7 !important;
    border-top: 4px solid @platform-blue7 !important;
    border-radius: 3px 3px 3px 3px !important;
    padding-left: 0;
    min-width: 22px !important;
    &:hover,
    &:focus,
    &.selected {
      background-color: @platform-blue7 !important;
      color: white !important;
    }
    &.wichtig {
      border-color: #520b82 !important;
      background-color: #faf2ff !important;
      &:hover,
      &.selected {
        background-color: #520b82 !important;
      }
    }
    div.rct-item-content {
      width: 100%;
      white-space: nowrap;
      text-overflow: clip !important;
      box-sizing: border-box;
      border-radius: 3px 3px 3px 3px !important;
      .item-name {
        display: none;
      }
      svg {
        vertical-align: top;
        font-size: 1.6rem;
        margin: 7px 0 0 -4px;
      }
    }
  }

  .general-arrow {
    right: auto;
    left: 10px;
    top: 50%;
    transform: translateY(-3px);
    color: black;
    &:before {
      content: '';
      display: inline-block;
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 4px 0 4px 5px;
      border-color: transparent transparent transparent black;
      transform: rotate(0) translateX(0);
      margin: 0 5px 0 3px;
    }
  }

  .calendar-arrow {
    .general-arrow;
    &:before {
      transform: rotate(0) translateX(0);
    }
  }

  .calendar-arrow-down {
    .general-arrow;
    &:before {
      transform: rotate(90deg) translateX(0);
    }
  }
}

.calendar-item-tooltip {
  max-width: 400px;
  font-size: 1.4rem;
  line-height: 22px;
  .ant-tooltip-inner {
    min-height: 0;
  }
}

.calendar-header {
  background-color: white;
  border-bottom: 1px solid @platform-blue3;
  padding: 0 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  overflow-x: auto;
  overflow-y: hidden;
  position: sticky;
  z-index: 100;

  > div {
    height: fit-content;
  }

  button {
    margin: auto 20px auto 0;
    &:hover,
    &:focus {
      svg {
        path {
          fill: white;
        }
      }
    }
  }
}
